Kerbal Space Program - Bug #9412

physics No damping of oscillations of parts or "strange destructive vibration" bug
04/22/2016 05:27 PM - ROman

Status: Updated Start date: 04/22/2016
Severity: High % Done: 10%
Assignee:

Category: Physics

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Anquietas say i must post it. So i post it .

This bug occurs if one part attach to some other (any) and then attach these parts to third in turn . Without the clipping of the parts.
The video hitps://youtu.be/aymlGQWrEyc will tell you more. Also this bug leads to the destruction of a symmetric space stations
(type of bagel) when switching from another ship to the station. This bug is the cause of many troubles in many crafts. And | think it
stems from problems of hotstove physical damping of the oscillations. Here are a couple of craft. Derivative problems: the destruction
of Rovers and stations. IMHO a bug is crossed with bugs: http://bugs.kerbalspaceprogram.com/issues/9152 and
http://bugs.kerbalspaceprogram.com/issues/9116

ps: sorry for my poor english
pps: in complex rovers or stations we also have 1 element and many attached elements taken in turn, and... "strange destructive
vibration"...

Related issues:
Related to Kerbal Space Program - Bug #9587: Physics wobble that amplifies ov... Duplicate 04/29/2016

History

#1 - 04/23/2016 09:08 PM - smjjames

- File output_log.txt added

- File KSP.log added

- File output_log.txt added

- File KSP.log added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

A quick note though, the explorer craft has clipped in wheels, which makes the front wheels inoperable. | checked it out on my modded save first to
see how KJR woule affect it, and it only seems to prevent two of them from exploding, doesn't prevent one from exploding, and | don't know if it
prevented the explorer craft from doing anything funky.

stock only:

Core bug physics: Only one time did it not absolutely destroy itself, it just vibrated until one of the 'spines' broke off.

explorer craft: Some of the time, it vibrated the two back wheels until they both broke, other times, it vibrates until something else shifts. Don't know
what and | can't tell what is shifting.

Oscillation bug-1: Similar results to the core bug physics craft, and then | broke the KSC screen somehow by accident. Something with the debug
screen and possibly pushing hack gravity at the same time as exiting, dunno. Not sure if | can reproduce that one because it seems to have been a
pure fluke of timing.

Oscillation bug-2: Absolutely explodes. Also probably not a great thing to test with.

Trying to devise a test with no clipping or as minimal as possible.

#2 - 04/23/2016 09:44 PM - smjjames

- File Simple oscillation test M-beam Ibeam.craft added

- File Simple oscillation test XL girders.craft added
- File SOT wheel weighttest 4rays.craft added

- File SOT wheel weighttest 6rays.craft added

- File SOT wheel weighttest 20+ wheels.craft added
- File output_log.txt added

- File KSP.log added

Okay, I've made some simple test craft which don't have clipping on them to show that it isn't clipping.

The 20+ wheel craft simulates #9152

#3 - 04/24/2016 05:26 AM - ROman

+ IMHO:
Any time craft start the system oscillates at its natural resonant frequency + Gravitational acceleration in every part (alone) with different weight = our
"strange destructive vibration" for for the whole design to torn it apart.

+Is the game has the concept of damping of oscillations for each individual part? It seems that separate parts of themselves, do not springy. Thus,
there appear to damping from contact with the ground. Nothing softens the resonance. And Gravitational acceleration increase speed (different by
mass) of each part then they hitting ground.

Just Make 45 degree (to ground) empty long rocket booster and simple drop it. It not spring at all. And then look how long metal tube spring in real life
https://youtu.be/FXAUMWOpk3Q?t=36s =Drops, bounces, and vibrations are damped under the action of gravity. You can take a pencil and drop it =
same effect. But in game we dont have it. So if each part does not come into equilibrium, what will balance the entire structure? IMHO In game=
Gravitational acceleration +> ground hit +> recoil +> 0 speed +> Gravitational acceleration ++> ground hit ++> recoil ++> 0 speed ++> Gravitational
acceleration +++> ground hit +++> recoil +++> 0 speed ...etc... ++++++++> ground hit ++++++++> recoil at speed what torn craft apart and then
devastation of craft?

And something for it:
https://en.wikipedia.org/wiki/Damping
https://en.wikipedia.org/wiki/Logarithmic_decrement

ps* | don't know how is written "physics" in this game, but | think that was the problem . Maybe I'm wrong totally

#4 - 04/25/2016 06:57 PM - ROman

Today was looking bugtracker and can be found a similar result of physics bug ... What do you think they are similar?

http://bugs.kerbalspaceprogram.com/issues/8095
...because when the time is speeding up - the game is even worse expects physics and hidden bugs crawl out. If the official testers confirm it can

make reference bugs at each other?

#5 - 04/25/2016 10:58 PM - smjjames

It's... possible that they could be related...

Would be nice if some other people could give feedback on this though as it's probably a complex problem.

#6 - 04/26/2016 11:35 AM - SelectHalfling0
- File screenshot10.png added

| can confirm that | am having this same issue. It appears to be originating from the docking port between the science lab module and the core of my
mun base.

Pics: attached.
#7 - 04/26/2016 03:51 PM - smjjames
SelectHalfling0 wrote:

| can confirm that | am having this same issue. It appears to be originating from the docking port between the science lab module and the core of
my mun base.

Pics: attached.

Could you share the craft file of that?

#8 - 04/27/2016 05:55 PM - SelectHalfling0
- File MBA.craft added
Craft File Attached.

#9 - 04/28/2016 10:50 PM - SelectHalfling0
Did 1.1 fix this problem?

#10 - 04/28/2016 11:03 PM - smjjames

SelectHalfling0 wrote:

Did 1.1 fix this problem?

Yours is, yeah, and the explorer craft are fixed.

#11 - 04/29/2016 11:52 AM - sal_vager
- Related to Bug #9587: Physics wobble that amplifies over time till the craft rips itself apart. added

#12 - 04/29/2016 01:30 PM - LordJason
- File Wobble to death 1_1_1 bug.craft added

- File To The Mun Fezzes are cool.craft added

This bug is back/worse in 1.1.1. Rockets that worked in 1.1 are unusable now.

The first craft | uploaded is actually a pretty simple, even typical rocket. But it explodes on the launchpad.

The second craft worked in 1.1, but wobbles itself apart on the launchpad over time now.

Possibly related: There seems to be no added resistance to roll - g/e rotation. Capturing a class D asteroid, | can rotate with g/e as if there is no
additional mass at all.

Edit: removed the part | was wrong about, it was my mistake, | overlooked a variable.

#13 - 05/02/2016 04:36 PM - curiousepic
Stillin 1.1.2. Glad to see this is confirmed and high priority. It has me ragequitting.

#14 - 07/17/2016 09:55 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#15 - 07/27/2016 10:03 PM - smjjames

What do you need clarification on? Just wondering.
#16 - 07/28/2016 11:20 AM - TriggerAu
All good smijjames... Trigger pulls out the prepared response

Hi, we are doing a mass cleanup on reported bugs, you can read more about it here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

The TL;DR is that its not an indication of anything wrong with your report, there are soo many old bugs in the tracker that we cant give the devs a
good picture of whats still an issue - so we have set up a process for all bugs from pre 1.1.3 to collect the info and get them confirmed for the devs.

We are trying to check whats still in 1.1.3 - the newer ones will be treated more carefully, but we are trying to clear anything thats no longer relevant to
give the devs a clear run at whats important to the players.

Sounds like this one still is, if its still in 1.1.3 we can set it confirmed and keep this open

#17 - 09/26/2016 01:19 AM - npy124
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

This bug is definitely alive and well in 1.1.3. | had a long row of cubic octagonal struts with 1x6 non-retractable panels extending from them (poor
man's gigantor array). Switch to ship --> immediate rapid oscillation until the phantom torques become so large it levitates my poor base right off of
Minmus! Who needs Alcubierre, right?

| was able to completely fix this, however, by setting the physicsSignificance of the cubic octagonal struts to 0, so | think this behavior is related to a
series of physics-less parts referring their mass to a far away physics-full part. This could make the angular moment of the construct tiny, so any
forces (like solar panels orienting) far from the CoM result in massive undamped vibration. Either it's time to drop this physicslessness business or
limit how far part mass can be referred.
#18 - 10/25/2019 01:39 AM - KenSharp

- Expansion Core Game added

Still very much an issue in 1.8.0. https://youtu.be/UJcRwYhXf2w

It's not specific to Windows but | imagine you already know that.

#19 - 10/25/2019 06:53 PM - jclovis3

@KenSharp: | think what you are seeing with the landing gear though is a separate issue all together. There has long been problems with landing
gear such as the ones you used. Wheels and Aircraft landing gear don't seem to exhibit this problem so | always use them now for my space fairing
ships and landers. The gear you used, when extended and locked to final position, exert way too much spring tension (as if some additional force just
pounced on your craft and they bounced). I've gotten away with using them on Mun at low tension but on Minmus | have to turn them all the way
down. Forget using them on lower gravity planets. Might as well land on your engines or other parts then.

A similar issue with regard to landing gear on the runway used to exist where a stationary object would moveabout sideways even with breaks set and
no thrust. This only occured with aircraft landing gear as | found a Unity bug with spheroid or torus shaped colliders not sitting still on flat plane
colliders. Putting up a box collider around the point of the wheels would have fixed this. | haven't tested that bug lately though.

Files

oscillation bug-1.craft 35.4 KB 04/22/2016 ROman
oscillation bug-2.craft 66.5 KB 04/22/2016 ROman
Core Bug Physics.craft 199 KB 04/22/2016 ROman
Explorer-R1-St.craft 209 KB 04/22/2016 ROman
output_log.txt 907 KB 04/23/2016 smjjames
KSP.log 395 KB 04/23/2016 smjjames
output_log.txt 666 KB 04/23/2016 smjjames
KSP.log 299 KB 04/23/2016 smjjames
Simple oscillation test M-beam Ibeam.craft 8.4 KB 04/23/2016 smjjames
Simple oscillation test XL girders.craft 12.2 KB 04/23/2016 smjjames
SOT wheel weighttest 6rays.craft 117 KB 04/23/2016 smjjames
SOT wheel weighttest 4rays.craft 77.6 KB 04/23/2016 smjjames
SOT wheel weighttest 20+ wheels.craft 232 KB 04/23/2016 smjjames
output_log.txt 1.27 MB 04/23/2016 smjjames
KSP.log 552 KB 04/23/2016 smjjames
screenshot10.png 1.6 MB 04/26/2016 SelectHalfling0
MBA.craft 284 KB 04/27/2016 SelectHalfling0
Wobble to death 1_1_1 bug.craft 389 KB 04/29/2016 LordJason
To The Mun Fezzes are cool.craft 975 KB 04/29/2016 LordJason
